#ifndef __dx7proc__
#define __dx7proc__

#include <map>
#include "public.sdk/source/vst/vstaudioeffect.h"
#include "pluginterfaces/base/ibstream.h"
#include "pluginterfaces/vst/ivstparameterchanges.h"
#include "pluginterfaces/vst/ivstevents.h"

#include "dx7cids.h"
#include "dx7uart.h"
#include "processParameter.h"
#include "dx7protocol.h"

namespace Steinberg {
    namespace Vst {
        
        class DX7Processor: public AudioEffect {
        public:
            DX7Processor();
            virtual ~DX7Processor();
            
            static FUnknown* createInstance (void* context) {
                return (IAudioProcessor*)new DX7Processor;
            }
            
            tresult PLUGIN_API initialize(FUnknown* context);
            tresult PLUGIN_API process(ProcessData& data);
            tresult PLUGIN_API setState(IBStream* state);
            tresult PLUGIN_API getState(IBStream* state);
            tresult PLUGIN_API setupProcessing(ProcessSetup& newSetup);
        
        protected:
            void updateParameter(uint8 id, float value);
            ProcessParameter* getParameter(uint8 id);
            float getParameterValue(uint8 id);
            
            //parameter model
            typedef std::map<uint8, ProcessParameter*> ParamMap;
            ParamMap parameters;
            uchar paramCount;

            
            DX7Connection* connection;
            int32 currentProcessMode;        
        };
    }
}

#endif